A modpack for the Perspex server.
<b>Warning:</b> Still in early alpha tests.
Core Mods: Jewelcrafting, Valheim Legends, Rune Magic, and some quality of life mods.
Set to a slightly harder experience than Vanilla.

<h2>Installation</h2>
<ol>
<li>Download and install <a href="https://www.overwolf.com/app/Thunderstore-Thunderstore_Mod_Manager">Thunderstore Mod Manager</a> or <a href="https://valheim.thunderstore.io/package/ebkr/r2modman/">r2modman</a></li>
<li>Click <strong>Install with Mod Manager</strong> button on top of the page. Allow the browser to open the Mod Manager.</li>
<li>Run the game via the mod manager, selecting it, choosing a profile and clicking on "start modded".</li>
</ol>

<h3>Changelog 0.12.0</h3>
<ul>
<li>Updated CrystalLights recipes.</li>
</ul>

<h3>Changelog 0.11.6</h3>
<ul>
<li>Included CrystalLights.</li>
<li>Updated other mods to their current version.</li>
</ul>

<h3>Changelog 0.11.5</h3>
<ul>
<li>Updated BuildPieces to make silver stop dropping from trees.</li>
<li>Updated Hearthstone to Marketstones work on dedicated servers. If you are on a local game or is hosting, the Marketstone will take you to a market, no matter if you already found it or not. On a dedicated server it will only take you there if someone already found it before.</li>
</ul>

<h3>Changelog 0.11.4</h3>
<ul>
<li>Added Rogue ability: smoke bomb! Use P. Bomb while crouching to use a Smoke Bomb and deaggro mobs. Increases Illusion skill.</li>
<li>Changed skill Fade to use Illusion skill instead of Evocation.</li>
<li>Added Ranger ability: Heal Wolf! Use Summon Wolf while on cooldown to heal your wolf. This will consume one wolf food in your inventory, following same priority as arrow use.
<ul>
<li>Neck Tail: heal 10% of wolf's max health.</li>
<li>Boar Meat: heal 15% of wolf's max health.</li>
<li>Deer Meat: heal 20% of wolf's max health.</li>
<li>Raw Fish: heal 20% of wolf's max health.</li>
<li>Sausages: heal 25% of wolf's max health.</li>
<li>Lox Meat: heal 25% of wolf's max health.</li>
</ul></li>
<li>Rebalanced Elemental Touch ability from Enchanter.</li>
<li>Reduced stamina cost for Berserker dual-wielding from 70% to 50% of regular cost.</li>
<li>Reduced stamina cost for Rogues dual-wielding daggers to 70% of regular cost.</li>
<li>Fixed Berserker's berserk skill causing multiple damage. It will properly deactiavate if health goes under 25%.</li>
<li>Berserkers now actually get extra damage with lower health. Up to 2x damage on 25% health.</li>
<li>Increased Metavoker's Replicas' damage, reduced Warp damage.</li>
<li>Updated all Hugin tutorials concerning Valheim Legend classes, offering itens, abilities and added some tutorials on changes on World Maps, Hearthstones, New Skills and Professions.</li>
<li>Hopefully this will be the last update before release.</li>
</ul>

<h3>Changelog 0.11.3</h3>
<ul>
<li>Increased coin cost to upgrade and repair items.</li>
<li>Fixed capes stats:
<ul>
<li>Deer Hide: +6% speed, 0.5 armor + 0.5 armor per upgrade.</li>
<li>Troll Hide: 1.5 armor + 1.5 armor per upgrade.</li>
<li>Linen: +3% speed, 1 armor + 1 armor per upgrade.</li>
<li>Lox Cape: -3% speed, 2 armor + 2 armor per upgrade.</li>
</ul></li>
</ul>

<h3>Changelog 0.11.2</h3>
<ul>
<li>Increased campsite resources max stack to 4.</li>
<li>Reworked backpacks. Backpacks weighs a lot, unless when equipped. You actually get backpack extra carry weight bonus depending on your Strength and Packhorse skill.</li>
<li>Reworked capes. They are not necessary to set bonuses anymore, but buffed each of them a little.</li>
<li>Added Multiuser Chest.</li>
</ul>

<h3>Changelog 0.11.1</h3>
<ul>
<li>At last, fixed random activation of boss powers when using a trophy (happened whenever there was some object being hovered).</li>
</ul>

<h3>Changelog 0.11.0</h3>
<ul>
<li>Very close to a final build. Just needs some more balancing testing.</li>
<li>Increased coin cost for Plan Crystal.</li>
<li>Included (finally) Balrond Container (such a nice mod!).</li>
</ul>

<h3>Changelog 0.10.8</h3>
<ul>
<li>Included Beasts of Burden and Mount Up.</li>
<li>Changes Alchemy recipes (trying to balance usefulness of some items).</li>
<li>Fixed Coin drop amount from bosses.</li>
</ul>

<h3>Changelog 0.10.7</h3>
<ul>
<li>Included Odins Food Barrels.</li>
<li>Removed balrond's visual containers (didn't work with dedicated servers).</li>
</ul>

<h3>Changelog 0.10.6</h3>
<ul>
<li>Removed Odins Food Barrels.</li>
<li>Included balrond's visual containers.</li>
</ul>

<h3>Changelog 0.10.5</h3>
<ul>
<li>Included GapFiller, adjusted recipes and descriptions and requirements accordingly.</li>
<li>Fixed Silver Sword and Blackmetal Axe item descriptions.</li>
<li>Removed SteadyRegeneration (maybe heavy on slow machines? Not sure).</li>
</ul>

<h3>Changelog 0.10.4</h3>
<ul>
<li>Included Vegvisir Directions mod. Disable map restriction if you feel it's too hardcore.</li>
</ul>

<h3>Changelog 0.10.3</h3>
<ul>
<li>Fixed low durability of Boss loot.</li>
<li>Fixed low durability of equipment found on chests.</li>
</ul>

<h3>Changelog 0.10.1</h3>
<ul>
<li>Of course there was missing stuff... stuff fixed (precise rotation mod put in Client QOL pack).</li>
</ul>

<h3>Changelog 0.10.0</h3>
<ul>
<li>Set Midsummer Crown max level to 1.</li>
<li>Fixed Barbarian set requisits description.</li>
<li>Changed Stagbreaker recipe to use Hard Antlers and no Deer Trophies.</li>
<li>Split this modpack in <a href="https://valheim.thunderstore.io/package/TwentyOneZ/PerspexClientQOLModpack/">an optional client quality of life mods</a> and this main modpack. Hopefully nothing was missing.</li>
</ul>

<h3>Changelog 0.9.13</h3>
<ul>
<li>(Finally) Fixed game breaking bad config of BetterWards.</li>
<li>Made some sets Boss drops. They also can be rarely found on chest in each biome.</li>
<li>Added option to restrict Hearthstone only when resting. By default you can now teleport when targeted, but you have to be resting. Make a campfire, sit down, relax and remember home. Or the market.</li>
</ul>

<h3>Changelog 0.9.12</h3>
<ul>
<li>Tweaked values of map discovery radius.</li>
<li>Removed WardIsLove and added BetterWards.</li>
<li>Balanced all totems and wards recipes.</li>
</ul>

<h3>Changelog 0.9.11</h3>
<ul>
<li>Downgraded Jotunn Backpacks to 2.1.3. Latest version (2.1.4) broke Hearthstones.</li>
</ul>

<h3>Changelog 0.9.10</h3>
<ul>
<li>Added Plateautem (a totem that flattens terrain in a brilliant way).</li>
<li>Changed some hotkeys (Arrow to restock, arrow down to store).</li>
<li>Changed other totems recipes.</li>
</ul>

<h3>Changelog 0.9.9</h3>
<ul>
<li>Added Boss Crystal recipes.</li>
<li>Fixed Marketstone being consumed when failing to find vendor.</li>
<li>Fixed duplicated Hearthstone recipe.</li>
</ul>

<h3>Changelog 0.9.8</h3>
<ul>
<li>Increased coins drop rate from mobs.</li>
<li>Added coin drop for bosses.</li>
<li>Fixed Reset Trophy 100% drop from bosses.</li>
</ul>

<h3>Changelog 0.9.7</h3>
<ul>
<li>Advanced portals configuration files fixed.</li>
<li>Revisited all ships recipes. Good ships now require Fish Oil, extracted from Oil Press.</li>
</ul>

<h3>Changelog 0.9.6</h3>
<ul>
<li>Added and rebalanced Judes Equipment. Now there are some armor sets that increase Valheim Legends skills.</li>
<li>Reset Trophy (resets Epic MMO stats for free if you don't have the required coins) now drops from bosses.</li>
</ul>

<h3>Changelog 0.9.5</h3>
<ul>
<li>Readded TargetPortal because Advanced Portals now supports it.</li>
<li>Changed Hearthstone requirements (uses Thunderstones).</li>
<li>Created Marketstone: teleports you to Haldor.</li>
<li>Use Eikthyr Crystal to craft Thunderstones.</li>
<li>Use Elder Crystal to craft Ymir Flesh.</li>
<li>Portals uses Ymir Flesh.</li>
</ul>

<h3>Changelog 0.9.4</h3>
<ul>
<li>Removed Smarter Tombstone mod because of a conflict that would cause tombstones never disappear.</li>
<li>Changed Boss Gems recipes.</li>
<li>Removed Target Portal because it conflicted with Advanced Portals.</li>
<li>Implemented Advanced Portals. Portals now use Boss Gems, but there are multiple tiers of portals that allow metal teleporting. They all need to be crafted nearby a Magic Crystal Table (high tier portals need the Magic Crystal Table extensions). First portal unlocks with Elder's Gem, second one unlocks with Bonemass' Gem (allows copper, tin and bronze), third one unlocks with Moder's Gem (allows iron too), fourth one unlocks with Yagluth's Gem (allows silver too) and last one unlocks with Queen's Gem (allows anything).</li>
<li>Removed recipe for Coins using Sulfur shards.</li>
<li>Added recipe for Coins using Eikthyr's Gem.</li>
</ul>

<h3>Changelog 0.9.3</h3>
<ul>
<li>Changed tombstone secure mod because after last update equipped items were not recoverable. Those will be removed in 30 days if not recovered.</li>
<li>Changed Hearthstone recipe to use Humite shards.</li>
<li>Patched Hearthstone mod so you can't teleport in battle (while targeted by something), nor encumbered, nor in water.</li>
<li>Changed Rune Focus recipe to not use Resin.</li>
</ul>

<h3>Changelog 0.9.2</h3>
<ul>
<li>Adjusted max upgrades on all items. It's more expensive to upgrade, but they can get more levels.</li>
<li>Easier to socket first sockets, up to 5 sockets now. But the more sockets there is, the harder it gets.</li>
<li>Changed backpack mod to resolve a conflict with the last version of Cooking mod.</li>
<li>Changed quickslots mod to resolve a conflict with the new backpack mod. <b>WARNING: before upgrading, unequip all your equipment. After upgrading, check if "EquipmentAndQuickSlots by RandyKnapp" and "ExtendedItemDataFramework by RandyKnapp" mods were removed. If not, remove them manually!</b></li>
</ul>

<h3>Changelog 0.9.1</h3>
<ul>
<li>Reincluded FarmGrid.</li>
<li>Adjusted Notifications location.</li>
<li>Adjusted decorative fish pulley recipes.</li>
<li>Added attribute requisites for missing items.</li>
<li>Removing gems from items may break the gems (25% chance for simple, 20% chance for advanced, 15% chance for perfect, 10% chance for merged).</li>
</ul>

<h3>Changelog 0.9.0</h3>
<ul>
<li>Added requirement description in item recipes.</li>
<li>Added in trophies description a reminder you can use them to get experience.</li>
<li>Changed keybind of Snap o Backquote (was conflicting with other mods).</li>
<li>Normalized XP earned by trophies. Now you statistically get roughly double the mob's XP per kill by farming trophies.</li>
<li>Added requirements for some missing items, fixed it for others.</li>
<li>Increased pull resources from containers radius.</li>
<li>Fixed Rune Focus upgrade recipe.</li>
<li>Added 1% skill loss penalty for dying.</li>
<li>Increased shaman water walking stamina cost back to default value.</li>
<li>Added some wood to Food Barrel recipes.</li>
<li>Cut Tenacity skill gain to half.</li>
<li>Added in Monks weapons a description about it can be used with monk abilities.</li>
</ul>

<h3>Changelog 0.8.4</h3>
<ul>
<li>Diving Mod added. Press Left Control while swimming to dive in water.</li>
<li>Fixed duplicated fire arrow recipe.</li>
<li>Added mod to display a image from an URL in ships (press left control aiming to the mast).</li>
</ul>

<h3>Changelog 0.8.3</h3>
<ul>
<li>Removed BetterUI character level display (again).</li>
<li>Updated loading screen tips.</li>
<li>Updated some mods.</li>
</ul>

<h3>Changelog 0.8.2</h3>
<ul>
<li>Removed BetterUI character level display.</li>
<li>Readded item requirements file (it was missing since 0.6.0). "-_-</li>
</ul>

<h3>Changelog 0.8.1</h3>
<ul>
<li>Fixed game breaking when loading.</li>
<li>Removed VALKEA (again), along with BuildIt, Missing Pieces, and Building Pieces. <b>Remember to remove those mod after upgrading if you don't want them</b>.</li>
</ul>

<h3>Changelog 0.8.0</h3>
<ul>
<li>Valheim Legends classes offering item changed to raw gems. The classes are mentioned in the gems description. Some gems switch along two classes with multiple offerings. Classes and corresponding gems are listed below:<ul>
<li>Ruby Gemstone (red): Mage and Enchanter.</li>
<li>Humite Gemstone (orange): Shaman.</li>
<li>Sulfur Gemstone (yellow): Ranger.</li>
<li>Emerald Gemstone (green): Druid.</li>
<li>Topaz Gemstone (cyan): Priest and Monk.</li>
<li>Sapphire Gemstone (blue): Valkyrie and Duelist.</li>
<li>Spinel Gemstone (purple): Berserker.</li>
<li>Onyx Gemstone (black): Metavoker and Rogue.</li>
</ul></li>
<li>Removed VALKEA (way too long to load the game). <b>Remember to remove the mod after upgrading if you don't want that one</b>.</li>
<li>Added a multiplier to XP gained by trophies.</li>
<li>XP gained consuming trophies rebalanced according to trophy rarity.</li>
<li>Increased XP gained by trophies.</li>
<li>Added many loading screen tips.</li>
<li>Added loading screen backgrounds and main screen logos.</li>
</ul>

<h3>Changelog 0.7.1</h3>
<ul>
<li>Downgraded Cooking to previous version.</li>
<li>Added mod to tweak skill loss.</li>
</ul>

<h3>Changelog 0.7.0</h3>
<ul>
<li>Unique boss gems drops during 30% of the time.</li>
<li>Updated some mods.</li>
<li>Ranger critical damage added: (Agility / 4) % chance to add backstab damage when attacking with a Bow or Arbalest.</li>
<li>Duelist melee critical damage added: (Agility / 4) % chance to add half of backstab damage when holding only one weapon.</li>
<li>Fixed verification of Rogue poison damage increase to accept dual daggers.</li>
<li>Fixed verification of Berserker stamina reduction to accept dual weapons.</li>
</ul>

<h3>Changelog 0.6.6</h3>
<ul>
<li>Tried to fix Hearthstone recipe.</li>
<li>Fixed not showing container contents (betterUI was making it worse).</li>
</ul>

<h3>Changelog 0.6.5</h3>
<ul>
<li>Actually made unique gems from bosses 100% chance drop. Turn them into yellow shards in Magic Crystal Table (and the shards to coins in gemcutter's table).</li>
<li>Removed Cookie Hammer recipe. Everything should be done with the vanilla Hammer.</li>
</ul>

<h3>Changelog 0.6.4</h3>
<ul>
<li>Minor fixes.</li>
<li>Removed mods FarmGrid and CropUtils. Redundant with Farming skill.</li>
</ul>

<h3>Changelog 0.6.3</h3>
<ul>
<li>Mods updated to last version.</li>
<li>Quick store hotkey changed to Backquote. EquipWheels uses Q and mouse buttons. Configure these to your taste using the configuration manager pressing F11.</li>
<li>Added Speedypaths and other mods.</li>
</ul>

<h3>Changelog 0.6.2</h3>
<ul>
<li>Added Farm Grid. Because of reasons.</li>
<li>Keys changed to: Stacks KeyPad1. Restock Keypad2, Sort Keypad3.</li>
<li>Added skills: Vitality, Tenacity, Evasion, Packhorse, as well as Foraging as a new profession.</li>
</ul>

<h3>Changelog 0.6.1</h3>
<ul>
<li>Fixed wrong gem colors in shard recipes.</li>
</ul>

<h3>Changelog 0.6.0</h3>
<ul>
<li>Changed recipes for Fistcuffs, removed Bone Fisticuffs (didn't increase monk chi charges).</li>
<li>Rescaled level requirements for all items, more fit to boss levels.</li>
<li>Equipment requires coins to craft and to repair (using a customized personal fork of <a href="https://www.nexusmods.com/valheim/mods/215">RepairRequireMats</a> mod from Aedenthorn).</li>
<li>Added coin drops to humanoids and some undead that didn't drop coins.</li>
<li>Added many gem recipes:<ul>
<li> - Yellow shards can be coined into Coins in Gemcutter's Table.</li>
<li> - Gem can be transmuted into different colors in Magic Crystal Table using different ingredients.</li>
<li> - Boss Unique gems drop chance increased to 33%.</li>
<li> - Boss Unique gems can be turned into Yellow shards (which can be turned into Coins).</li>
</ul></li>
<li>Organized recipes inside wackysDatabase folder within config folder. <b>If you are upgrading, you <i>might</i> need to delete that folder to avoid duplicate recipes.</b></li>
<li>Changed Hearthstone mod so the recipe works properly (craft it in Magic Crystal Table). <b>If you are upgrading, you <i>might</i> need to delete Detalhe's Hearthstone Mod manually.</b></li>
</ul>

<h3>Changelog 0.5.0</h3>
<ul>
<li>Added Valkea, Clutter and some other building pieces and item management mods.</li>
<li>Added BetterUI.</li>
<li>Added EquipWheel (use Backquote to access). Moved quick stock key to T.</li>
<li>Fixed issue with bosses status.</li>
<li>Precise Rotation enabled (Left alt to enable, right alt change axis, period resets axis).</li>
<li>Added Unremove (key U to restore a mistakenly destroyed piece).</li>
</ul>

<h3>Changelog 0.4.3</h3>
<ul>
<li>Fixed patch: boss powers (hopefully) won't activate when consuming a trophy for Experience.</li>
<li>Added Simple New Set and Cape Bonuses mod. Leather Armor and Rags have set effects now. Leather Armor is now an Agility armor.</li>
<li>Increased requirements for Bone Fistcuffs.</li>
<li>Changed requirements for capes to Level instead of an attribute.</li>
</ul>

<h3>Changelog 0.4.2</h3>
<ul>
<li>Bosses rebalanced.</li>
<li>Class items minor changes.</li>
</ul>

<h3>Changelog 0.4.1</h3>
<ul>
<li>Increased Eikthyr damage.</li>
<li>Changed crystal colors for alchemy table recipe.</li>
<li>Removed ServerCharacters mod until it is fixed.</li>
</ul>

<h3>Changelog 0.4.0</h3>
<ul>
<li>Full rebalance of all classes and EpicMMO attributes.</li>
<li>Lowered overall damage, balanced progression with levels.</li>
<li>Valheim Legends skills get bonus damage from:<ul>
<li> - Discipline: 40% Intellect + 20% Strength</li>
<li> - Abjuration: 40% Intellect + 20% Endurance</li>
<li> - Alteration: 40% Intellect + 20% Agility</li>
<li> - Conjuration: 40% Intellect + 20% Agility or Endurance</li>
<li> - Evocation: 60% Intellect</li>
<li> - Illusion: 60% Intellect</li>
</ul></li>
<li>Monk unarmed damage increases either with level or using Fistcuffs.</li>
<li>Monks get up to 60% extra spirit damage when throwing punches either unarmed or using Fistcuffs.</li>
<li>Rogues get up to 60% extra poison damage to any attacks when only using daggers.</li>
<li>Recipes added to Magic Crystal Table (Hearthstone, Rune Focus, Rune blueprints, Skuld Crystal, Plan Totem, Seed Totem, Ward).</li>
<li>Alchemy table recipe now uses Jewelcrafting Crystals.</li>
</ul>

<h3>Changelog 0.3.5</h3>
<ul>
<li>Many Quality-fo-Life mods added.</li>
<li>Rebalanced Monk class to use Fistcuffs instead of increasing unarmed damage.</li>
</ul>

<h3>Changelog 0.3.4</h3>
<ul>
<li>Anti-raid when AFK mod added.</li>
</ul>

<h3>Changelog 0.3.3</h3>
<ul>
<li>Anti-raid when AFK mod added.</li>
<li>A modified version of <a href="https://valheim.thunderstore.io/package/Khairex/Useful_Trophies/">UsefulTrophies</a> by <a href="https://github.com/Khairex">Khairex</a> was added. Trophies can be consumed to gain EpicMMO experience. All credits goes to Khairex!</li>
</ul>

<h3>Changelog 0.3.2</h3>
<ul>
<li>Shaman damage buffed, and other minor adjustments.</li>
</ul>

<h3>Changelog 0.3.1</h3>
<ul>
<li>Fixed patch's gamebreaking bug.</li>
</ul>

<h3>Changelog 0.3.0</h3>
<ul>
<li>Balanced Enchanter class. Charm now have a chance to break when charmed enemy takes a hit or attacks, based on Character EpicMMO Level and Intelligence vs the charmed enemy MaxHP.</li>
<li>Once more, changed class-change items from Valheim Legends. Check compendium for items (or ESC > Menu > Options> Misc> Reset tutorial and ask Hugin if it is not updated).</li>
</ul>

<h3>Changelog 0.2.5</h3>
<ul>
<li>Removed Tombstone Lock (due to issues)</li>
</ul>

<h3>Changelog 0.2.4</h3>
<ul>
<li>Changed some configurations from Jewelcrafting. Changing sockets now requires Gemcutter's table. Boss unique gems have 10% drop chance.</li>
<li>Added Odin's Campsite, switched inventory management mods to better ones.</li>
<li>Updated many mods.</li>
<li>Added EpicMMO attributes requirements to equip items.</li>
</ul>

<h3>Changelog 0.2.3</h3>
<ul>
<li>More rebalancing.</li>
<li>Changed some class change items from Valheim Legends (check in-game description in knowledge menu).</li>
<li>Updated EpicMMO to 1.5.0.</li>
</ul>

<h3>Changelog 0.2.2</h3>
<ul>
<li>More rebalancing. Considering Mistlands Elemental Staves, damage bonus from Intelligence was too high. Reduced from +300% to +100% max. Compensated damage from class skills by EpicMMO Character Level.</li>
<li>Discipline gets bonus damage from Strength. All other skills get bonus damage from Intelligence.</li>
<li>Monk unarmed attack damage increased by both Strength and Intelligence, as well as EpicMMO Character Level.</li>
<li>Damage caused by monsters increased in 25%.</li>
</ul>

<h3>Changelog 0.2.1</h3>
<ul>
<li>Fixed version</li>
</ul>

<h3>Changelog 0.2.0</h3>
<ul>
<li>Rebalanced damage and healing from Valheim Legends and EpicMMO (hopefully, no major rebalances from now on)</li>
<li>Blacksmithing, Jewelcrafting and SleepSkip mods updated to most recent version</li>
</ul>

<h3>Changelog 0.1.1</h3>
<ul>
<li>Mods updated to most recent version</li>
<li>Swapped QuickStack mods to a non-deprecated one</li>
<li>Patched Valheim Legends damage to work with EpicMMO (intelligence increases damage of all class skills, unarmed damage nerfed for non-monks).</li>
</ul>